# class Psych::Nodes::Node

The base class for any `Node` in a `YAML` parse tree. This class should never be instantiated.

### Attributes

children[R]

The children of this node

end_column[RW]

The column number where this node ends

end_line[RW]

The line number where this node ends

start_column[RW]

The column number where this node start

start_line[RW]

The line number where this node start

tag[R]

An associated tag

### Public Class Methods

new() click to toggle source

Create a new `Psych::Nodes::Node`

    # File ext/psych/lib/psych/nodes/node.rb, line 33
    def initialize
      @children = []
    end

### Public Instance Methods

alias?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 67
    def alias?;    false; end

document?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 68
    def document?; false; end

each(&block) click to toggle source

Iterate over each node in the tree. Yields each node to `block` depth first.

    # File ext/psych/lib/psych/nodes/node.rb, line 40
    def each &block
      return enum_for :each unless block_given?
      Visitors::DepthFirst.new(block).accept self
    end

mapping?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 69
    def mapping?;  false; end

scalar?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 70
    def scalar?;   false; end

sequence?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 71
    def sequence?; false; end

stream?() click to toggle source

    # File ext/psych/lib/psych/nodes/node.rb, line 72
    def stream?;   false; end

to_ruby(symbolize_names: false, freeze: false, strict_integer: false) click to toggle source

Convert this node to Ruby.

See also `Psych::Visitors::ToRuby`

    # File ext/psych/lib/psych/nodes/node.rb, line 49
    def to_ruby(symbolize_names: false, freeze: false, strict_integer: false)
      Visitors::ToRuby.create(symbolize_names: symbolize_names, freeze: freeze, strict_integer: strict_integer).accept(self)
    end

Also aliased as: transform
to_yaml(io = nil, options = {})
Alias for: yaml
transform(symbolize_names: false, freeze: false, strict_integer: false)
Alias for: to_ruby
yaml(io = nil, options = {}) click to toggle source

Convert this node to `YAML`.

See also `Psych::Visitors::Emitter`

    # File ext/psych/lib/psych/nodes/node.rb, line 58
    def yaml io = nil, options = {}
      real_io = io || StringIO.new(''.encode('utf-8'))

      Visitors::Emitter.new(real_io, options).accept self
      return real_io.string unless io
      io
    end

Also aliased as: to_yaml